# eric6.Helpviewer.UrlBar.StackedUrlBar

Module implementing a widget to stack url bars.

### Global Attributes

None

### Classes

StackedUrlBar | Class implementing a widget to stack url bars.

### Functions

None

## StackedUrlBar

Class implementing a widget to stack url bars.

### Derived from

QStackedWidget

### Class Attributes

None

### Class Methods

None

### Methods

StackedUrlBar | Constructor
currentUrlBar | Public method to get a reference to the current url bar.
moveBar | Public slot to move a url bar.
urlBar | Public method to get a reference to the url bar for a given index.
urlBars | Public method to get a list of references to all url bars.

### Static Methods

None

#### StackedUrlBar (Constructor)

StackedUrlBar(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### StackedUrlBar.currentUrlBar

currentUrlBar()

Public method to get a reference to the current url bar.

Returns:
  reference to the current url bar (UrlBar)

#### StackedUrlBar.moveBar

moveBar(from_, to_)

Public slot to move a url bar.

from_
  index of url bar to be moved (integer)
to_
  into to move the url bar to (integer)

#### StackedUrlBar.urlBar

urlBar(index)

Public method to get a reference to the url bar for a given index.

index
  index of the url bar (integer)

Returns:
  reference to the url bar for the given index (UrlBar)

#### StackedUrlBar.urlBars

urlBars()

Public method to get a list of references to all url bars.

Returns:
  list of references to url bars (list of UrlBar)

Up